For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList Inbound Transfers
      • POSTCreate an Inbound transfer
      • GETGet an Inbound Transfer
      • POSTCancel an Inbound Transfer
      • POSTSandbox: Fail an Inbound Transfer
      • POSTSandbox: Complete an Inbound Transfer
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsInbound Transfers

List Inbound Transfers

GET
/v1/inbound_transfers
GET
/v1/inbound_transfers
$curl https://api.givechariot.com/v1/inbound_transfers \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "inbound_transfer_01j8rs605a4gctmbm58d87mvsj",
5 "amount": 10000,
6 "created_at": "2020-01-31T23:00:00Z",
7 "description": "InboundTransfer from my bank account",
8 "status": "pending",
9 "updated_at": "2020-01-31T23:00:00Z"
10 }
11 ],
12 "nextPageToken": "string"
13}
List inbound transfers for your account.
Was this page helpful?
Previous

Create an Inbound transfer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

pageTokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.

Response

The response for InboundTransfers.list
resultslist of objects
nextPageTokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error